mainDir = fileparts(fileparts(pwd));
MatchIDLibrary = fullfile(mainDir, 'LibApp.dll');
NET.addAssembly(MatchIDLibrary);

dataSession = LibApp.MatchIDDataSession('8000');
disp(strcat('App Interface version: ', char(dataSession.GetAppInterfaceVersion())));
disp(strcat('MatchID Interface version: ', char(dataSession.GetSessionInterfaceVersion())));
disp('-----------------------------------------------------');
SetID = dataSession.UI_SelectDataset('Please select a set from the tree');
DataFromMatchID = LibApp.MatchIDData(dataSession, SetID);
disp('Data: ');
disp(strcat(' - Name: ', char(DataFromMatchID.DatasetName)));
disp(strcat(' - Datapoints: ', char(DataFromMatchID.NumberOfDataPoints)));
disp(strcat(' - Timesteps: ', char(DataFromMatchID.NumberOfTimeSteps)));
disp('-----------------------------------------------------');