'''
Created on 4 jun. 2020

@author: Lukas Wittevrongel
'''
# LibApp can be found in Appstore's main directory
import sys
sys.path.append('..')
import clr
clr.AddReference('LibApp')

import LibApp
from LibApp import MatchIDDataSession
from LibApp import MatchIDDataSelection
from LibApp import MatchIDData

dataSession = MatchIDDataSession("8000")
print("App Interface version: " + dataSession.GetAppInterfaceVersion())
print("MatchID Interface version: " + dataSession.GetSessionInterfaceVersion())
print("-----------------------------------------------------")
SetID = dataSession.UI_SelectDataset("Please select a set from the tree")
DataFromMatchID = MatchIDData(dataSession, SetID)
print("Data: ")
print(" - Name: " + str(DataFromMatchID.DatasetName))
print(" - Datapoints: " + str(DataFromMatchID.NumberOfDataPoints))
print(" - Timesteps: " + str(DataFromMatchID.NumberOfTimeSteps))
print("-----------------------------------------------------")
